# debug/bitset File Reference

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug/bitset.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::__debug

## Classes

- class std::__debug::bitset< _Nb >
- class std::__debug::bitset< _Nb >::reference

## Functions

- template<size_t _Nb> bitset< _Nb > std::__debug::operator & (const bitset< _Nb > &__x, const bitset< _Nb > &__y)
- template<typename _CharT, typename _Traits, size_t _Nb> std::basic_ostream< _CharT,
  _Traits > & std::__debug::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const bitset< _Nb > &__x)
- template<typename _CharT, typename _Traits, size_t _Nb> std::basic_istream< _CharT,
  _Traits > & std::__debug::operator>> (std::basic_istream< _CharT, _Traits > &__is, bitset< _Nb > &__x)
- template<size_t _Nb> bitset< _Nb > std::__debug::operator^ (const bitset< _Nb > &__x, const bitset< _Nb > &__y)
- template<size_t _Nb> bitset< _Nb > std::__debug::operator| (const bitset< _Nb > &__x, const bitset< _Nb > &__y)